# single

inline fun < T : Any > ERROR CLASS: Symbol not found for Module. single (qualifier: String , createdAtStart: Boolean = false, noinline definition: ERROR CLASS: Symbol not found for Definition<T>): ERROR CLASS: Recursive implicit type(source)

Declares a single instance with a string qualifier in the Koin module. This is a convenience function that wraps the string qualifier in a StringQualifier.

#### Return

A Koin definition for the single instance with the specified string qualifier

#### Parameters

qualifier

The string value to be used as a qualifier

createdAtStart

Whether the instance should be created when the Koin module starts (default: false)

definition

The definition function that creates the instance

#### Type Parameters

T

The type of instance to be created